Bug 257377 - editors/vim: nonsensical dependancies
Summary: editors/vim: nonsensical dependancies
Status: Closed DUPLICATE of bug 257376
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-24 05:05 UTC by David E. O'Brien
Modified: 2021-07-24 05:07 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (adamw)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David E. O'Brien freebsd_committer 2021-07-24 05:05:15 UTC
$ pkg install vim
...
	spidermonkey78: 78.7.0_5
	sqlite3: 3.35.5_3,1
	tiff: 4.3.0
	tpm-emulator: 0.7.4_2
	trousers: 0.3.14_3
...

Why in the world does an editor need TPM (trust platform module) support?
Much less an emulator giving you a software TPM [vs. the trustable hardware TPM].

Why does an editor require an SQL backend and a web framework (JavaScript interpreter)?
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-24 05:07:04 UTC

*** This bug has been marked as a duplicate of bug 257376 ***